package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "base_national_drug_dict")
@SequenceGenerator(name="id_generated", sequenceName="BASE_NATIONAL_DRUG_DICT_SEQ")
public class BaseNationalDrugDictDO extends IntegerIdentityEntity {
    private String number;//国家编码
    private String name;//国家药品通用名
    private String pyName;//国家药品通用名称拼音码
    private String subjectClass;//科目类别id
    private String subjectClassName;//科目类别名称
    private String commonName;//药品通用名
    private String pyCommonName;//药品通用名称拼音码
    private String hospital;//机构id
    private String hospitalName;//机构名称
    private String relationCode;//国家药品编码saasId（机构药品时该字段才有值）
    private String relationName;//关联的国家药品通用名
    private String relationPyName;//关联的国家药品通用名拼音码
    private String gyzz;//国药准字
    private String unit;//包装单位
    private String packingSpecifications;//包装规格
    private Integer isSplit;//是否可拆（1是 0否）
    private String drugSpecifications;//药品规格
    private String dosageForm;//剂型
    private String drugCode;//药品类别
    private String drugName;//药品类别名称
    private String minDose;//最小剂量
    private String doseUnit;//剂量单位
    private String doseUnitName;//剂量单位名称
    private String manageClass;//管理类别id
    private BigDecimal retailPrice;//零售价格
    private String medicareSpecifications;//医保规格
    private String medicareUnit;//医保单位
    private String toxicology;//毒理分类
    private String toxicologyName;//毒理分类名称
    private String prescription;//处方用药
    private String gmp;//gmp药品
    private String antimicrobial;//抗菌药分类id
    private String antimicrobialName;//抗菌药分类名称
    private String supplier;//供应商
    private String manufacturer;//厂商
    private String remark;//备注
    private String volumeUnit;//体积单位
    private String weightUnit;//重量单位
    private String drugDose;//用药剂量
    private Integer amount;//用药总量
    private String amountUnit;//总量单位
    private String amountUnitName;//总量单位名称
    private Integer days;//用药天数
    private String frenquency;//用药频次
    private String method;//用药方法
    private Integer status;//状态（1生效 0失效）
    private Date createTime;//创建时间
    private Date updateTime;//更新时间

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPyName() {
        return pyName;
    }

    public void setPyName(String pyName) {
        this.pyName = pyName;
    }

    public String getSubjectClass() {
        return subjectClass;
    }

    public void setSubjectClass(String subjectClass) {
        this.subjectClass = subjectClass;
    }

    public String getSubjectClassName() {
        return subjectClassName;
    }

    public void setSubjectClassName(String subjectClassName) {
        this.subjectClassName = subjectClassName;
    }

    public String getCommonName() {
        return commonName;
    }

    public void setCommonName(String commonName) {
        this.commonName = commonName;
    }

    public String getPyCommonName() {
        return pyCommonName;
    }

    public void setPyCommonName(String pyCommonName) {
        this.pyCommonName = pyCommonName;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public String getGyzz() {
        return gyzz;
    }

    public void setGyzz(String gyzz) {
        this.gyzz = gyzz;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getPackingSpecifications() {
        return packingSpecifications;
    }

    public void setPackingSpecifications(String packingSpecifications) {
        this.packingSpecifications = packingSpecifications;
    }

    public Integer getIsSplit() {
        return isSplit;
    }

    public void setIsSplit(Integer isSplit) {
        this.isSplit = isSplit;
    }

    public String getDrugSpecifications() {
        return drugSpecifications;
    }

    public void setDrugSpecifications(String drugSpecifications) {
        this.drugSpecifications = drugSpecifications;
    }

    public String getDosageForm() {
        return dosageForm;
    }

    public void setDosageForm(String dosageForm) {
        this.dosageForm = dosageForm;
    }

    public String getDrugCode() {
        return drugCode;
    }

    public void setDrugCode(String drugCode) {
        this.drugCode = drugCode;
    }

    public String getDrugName() {
        return drugName;
    }

    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    public String getMinDose() {
        return minDose;
    }

    public void setMinDose(String minDose) {
        this.minDose = minDose;
    }

    public String getDoseUnit() {
        return doseUnit;
    }

    public void setDoseUnit(String doseUnit) {
        this.doseUnit = doseUnit;
    }

    public String getDoseUnitName() {
        return doseUnitName;
    }

    public void setDoseUnitName(String doseUnitName) {
        this.doseUnitName = doseUnitName;
    }

    public String getManageClass() {
        return manageClass;
    }

    public void setManageClass(String manageClass) {
        this.manageClass = manageClass;
    }

    public BigDecimal getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }

    public String getMedicareSpecifications() {
        return medicareSpecifications;
    }

    public void setMedicareSpecifications(String medicareSpecifications) {
        this.medicareSpecifications = medicareSpecifications;
    }

    public String getMedicareUnit() {
        return medicareUnit;
    }

    public void setMedicareUnit(String medicareUnit) {
        this.medicareUnit = medicareUnit;
    }

    public String getToxicology() {
        return toxicology;
    }

    public void setToxicology(String toxicology) {
        this.toxicology = toxicology;
    }

    public String getToxicologyName() {
        return toxicologyName;
    }

    public void setToxicologyName(String toxicologyName) {
        this.toxicologyName = toxicologyName;
    }

    public String getPrescription() {
        return prescription;
    }

    public void setPrescription(String prescription) {
        this.prescription = prescription;
    }

    public String getGmp() {
        return gmp;
    }

    public void setGmp(String gmp) {
        this.gmp = gmp;
    }

    public String getAntimicrobial() {
        return antimicrobial;
    }

    public void setAntimicrobial(String antimicrobial) {
        this.antimicrobial = antimicrobial;
    }

    public String getAntimicrobialName() {
        return antimicrobialName;
    }

    public void setAntimicrobialName(String antimicrobialName) {
        this.antimicrobialName = antimicrobialName;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getVolumeUnit() {
        return volumeUnit;
    }

    public void setVolumeUnit(String volumeUnit) {
        this.volumeUnit = volumeUnit;
    }

    public String getWeightUnit() {
        return weightUnit;
    }

    public void setWeightUnit(String weightUnit) {
        this.weightUnit = weightUnit;
    }

    public String getDrugDose() {
        return drugDose;
    }

    public void setDrugDose(String drugDose) {
        this.drugDose = drugDose;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getAmountUnit() {
        return amountUnit;
    }

    public void setAmountUnit(String amountUnit) {
        this.amountUnit = amountUnit;
    }

    public String getAmountUnitName() {
        return amountUnitName;
    }

    public void setAmountUnitName(String amountUnitName) {
        this.amountUnitName = amountUnitName;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    public String getFrenquency() {
        return frenquency;
    }

    public void setFrenquency(String frenquency) {
        this.frenquency = frenquency;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public String getRelationPyName() {
        return relationPyName;
    }

    public void setRelationPyName(String relationPyName) {
        this.relationPyName = relationPyName;
    }
}
